summaryrefslogtreecommitdiffstats
path: root/source/n/bridge-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bridge-utils')
-rwxr-xr-xsource/n/bridge-utils/bridge-utils.SlackBuild100
-rw-r--r--source/n/bridge-utils/bridge-utils.isbridge.diff12
-rw-r--r--source/n/bridge-utils/slack-desc19
3 files changed, 131 insertions, 0 deletions
diff --git a/source/n/bridge-utils/bridge-utils.SlackBuild b/source/n/bridge-utils/bridge-utils.SlackBuild
new file mode 100755
index 000000000..0772a887a
--- /dev/null
+++ b/source/n/bridge-utils/bridge-utils.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.2
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-bridge-utils
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf bridge-utils-$VERSION
+tar xzf $CWD/bridge-utils-$VERSION.tar.gz || exit 1
+cd bridge-utils-$VERSION || exit 1
+
+zcat $CWD/bridge-utils.isbridge.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This is bad form, but what can you do...
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/sbin
+mv $PKG/usr/sbin/brctl $PKG/sbin/brctl
+( cd $PKG/usr/sbin ; ln -sf ../../sbin/brctl brctl )
+strip --strip-unneeded $PKG/sbin/brctl
+rmdir $PKG/usr/sbin
+
+strip -g $PKG/usr/lib${LIBDIRSUFFIX}/libbridge.a
+
+gzip -9 $PKG/usr/man/man8/*.8
+
+mkdir -p $PKG/usr/doc/bridge-utils-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README THANKS TODO \
+ doc \
+ $PKG/usr/doc/bridge-utils-$VERSION
+( cd $PKG/usr/doc/bridge-utils-$VERSION/doc
+ rm -f Makefile Makefile.in RPM-GPG-KEY brctl.8
+)
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bridge-utils-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/bridge-utils/bridge-utils.isbridge.diff b/source/n/bridge-utils/bridge-utils.isbridge.diff
new file mode 100644
index 000000000..b40e48796
--- /dev/null
+++ b/source/n/bridge-utils/bridge-utils.isbridge.diff
@@ -0,0 +1,12 @@
+--- ./libbridge/libbridge_init.c.orig 2008-01-08 17:20:35.000000000 +0100
++++ ./libbridge/libbridge_init.c 2008-10-23 06:59:58.000000000 +0200
+@@ -49,6 +49,9 @@
+ char path[SYSFS_PATH_MAX];
+ struct stat st;
+
++ if(entry->d_name[0] == '.')
++ return 0;
++
+ snprintf(path, SYSFS_PATH_MAX, SYSFS_CLASS_NET "%s/bridge", entry->d_name);
+ return stat(path, &st) == 0 && S_ISDIR(st.st_mode);
+ }
diff --git a/source/n/bridge-utils/slack-desc b/source/n/bridge-utils/slack-desc
new file mode 100644
index 000000000..266b6ce77
--- /dev/null
+++ b/source/n/bridge-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bridge-utils: bridge-utils (network Ethernet bridging utilities)
+bridge-utils:
+bridge-utils: This package contains utilities for configuring Linux Ethernet
+bridge-utils: bridges. The Linux Ethernet bridge can be used for connecting
+bridge-utils: multiple Ethernet devices together. The connecting is fully
+bridge-utils: transparent. Hosts connected to one Ethernet device see hosts
+bridge-utils: connected through a bridge to the other Ethernet devices directly.
+bridge-utils:
+bridge-utils: bridge-utils was written by Stephen Hemminger and Lennert Buytenhek.
+bridge-utils:
+bridge-utils: